<?php

include_once(WPSITE_FIREBAR_PLUGIN_DIR . '/admin/model/db.php');
include_once(WPSITE_FIREBAR_PLUGIN_DIR . '/admin/functions.php');

// Get all the optin data

$nnrobots_firebar_db = new WPsite_Firebar_DB();
$firebars = $nnrobots_firebar_db->get_firebars();

$valid_firebars = array();

foreach ( $firebars as $firebar ) {

	if(!is_array($firebar['trigger'])) 		$firebar['trigger']          = (array) WPsite_Firebar_Admin_Functions::mb_unserialize($firebar['trigger']);
	if(!is_array($firebar['text_link'])) 	$firebar['text_link']        = (array) WPsite_Firebar_Admin_Functions::mb_unserialize($firebar['text_link']);
	if(!is_array($firebar['social'])) 		$firebar['social']           = (array) WPsite_Firebar_Admin_Functions::mb_unserialize($firebar['social']);
	if(!is_array($firebar['news_letter']))	$firebar['news_letter']      = (array) WPsite_Firebar_Admin_Functions::mb_unserialize($firebar['news_letter']);
	if(!is_array($firebar['args'])) 		$firebar['args']             = (array) WPsite_Firebar_Admin_Functions::mb_unserialize($firebar['args']);

	$valid_firebars[] = $firebar;
}

$export_data = array(
	'from-plugin'	=> 'firebar',
	'data'			=> $valid_firebars,
);

// Import the Data

if ( isset($_POST['submit']) && check_admin_referer(self::$prefix . 'import_export') ) {

	$import_data = json_decode(stripcslashes($_POST[self::$prefix_dash . 'import-data']), true);

	if ( isset($import_data) ) {

		include_once(WPSITE_FIREBAR_PLUGIN_DIR . '/admin/functions.php');

		$check = true;

		foreach ( $import_data['data'] as $data ) {

			if ( $import_data['from-plugin'] == 'firebar' ) {

				// Assign Default Values to all non-matching values

				$data = array_merge( WPsite_Firebar_Admin_Functions::default_firebar(), $data );

				$firebar_id = $nnrobots_firebar_db->add_data($data);

			}
		}

		// Show a message

		if ( $check ) {
			?>
			<script type="text/javascript">
				window.location = "<?php echo get_admin_url(); ?>admin.php?page=<?php echo self::$import_export_page; ?>&status=success&import_message=<?php echo urlencode(__(count($import_data['data']) . ' FireBars have been imported successfully.', self::$text_domain)); ?>";
			</script>
			<?php
		}

	}

}

// Show the good stuff

require(WPSITE_FIREBAR_PLUGIN_DIR . '/admin/views/import-export.php');